Create Individual Account for Onboarding

Creates a new individual Lemonway account for onboarding a new user. If the individual already has a Lemonway account but requires full onboarding, use POST /onboardings/individual and provide the user’s unique accountId.This call essentially validates you’ve provided all required bodyParams.• Creates an account record of type “individual.”• Associate a new wallet entry using the walletId.• Returns a populated account object (including an assigned Id) so you can pass it into subsequent onboarding calls.

IMPORTANT 🇮🇹

If you indicate that you were born in Italy, you will be asked to provide your tax code immediately. If you indicate that you were born in another country but later provide Italy as your country of residence, you will be asked to provide your tax code before you can continue.


API Identity conflict (409)

The API returns 409 with the message individual account with same identity already exists - id: <existing id> when an account with the same identity exists. The message contains the id of the existing account. A new account is created when the first name, the birth date, or the birth country differs. No new account is created when only the email, the walletId, the nationalities, the profile or the letter case of the last name differs.

To give an existing person a second profile, see Onboarding for Multiple Profiles & Wallets.

For more information on account creation and onboarding rules, see: Validation Rules for Individuals.

Body Params
string
enum

ActivityType

individual
object
required
string
enum
required

User’s activity profile (only one).

string

Are there any exceptions what walletId are not allowed.Note: That is a walletId is not created, Lemonway will auto-generate one.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json